## tuxpaint 0.9.21-1maemo6

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo6) unstable; urgency=low

  * fixed bugtracker address

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  21 Apr 2010 11:04:59 +0300

## tuxpaint 0.9.21-1maemo7

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo7) unstable; urgency=low

  * fixed issue with description

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed,  21 Apr 2010 19:04:59 +0300

## tuxpaint 0.9.21-1maemo8

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo8) unstable; urgency=low

  * fixed menu icon

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon,  26 Apr 2010 12:04:59 +0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

export DH_ALWAYS_EXCLUDE=CVS

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) clean
	$(MAKE) all PREFIX=/opt DEBUG_FLAGS="$(DEBUG_FLAGS)"

	touch build-arch-stamp


build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Nothing to do here.

	touch build-indep-stamp


build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	install -d ${CURDIR}/debian/tuxpaint/opt/tuxpaint
	install -d ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon
	install -d ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon

	# tuxpaint:
	$(MAKE) install \
	  PREFIX=$(CURDIR)/debian/tuxpaint/opt/tuxpaint \


	#Desktop file and icon
	install ${CURDIR}/tuxpaint_n900.desktop ${CURDIR}/debian/tuxpaint/usr/share/applications/hildon/tuxpaint.desktop
	install ${CURDIR}/data/images/icon64x64.png     ${CURDIR}/debian/tuxpaint/usr/share/icons/hicolor/64x64/hildon/tuxpaint.png


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	#dh_installdocs -i
	#dh_installchangelogs -i
	#dh_installmenu -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	#dh_installdocs -a
	#dh_installchangelogs -a docs/CHANGES.txt
	#dh_installmenu -a
	dh_installcron -a
	#dh_installman -a src/manpage/tuxpaint.1 src/manpage/tuxpaint-import.1
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## tuxpaint 0.9.21-1maemo9

=== debian/changelog ===
tuxpaint (1:0.9.21-1maemo9) unstable; urgency=low

  * fixed creation of tuxpaint/saved (during installation)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu,  06 Jun 2013 09:51:59 +0300

=== debian/control ===
Source: tuxpaint
Section: user/education
Priority: extra
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>> 5), gettext, libsdl1.2-dev, libsdl-image1.2-dev, libsdl-pango-dev, libsdl-mixer1.2-dev (>= 1.2.4-1.1), libsdl-ttf2.0-dev, libpng12-dev, libvorbis-dev, gperf, libpaper-dev, librsvg2-dev, libfribidi-dev
Standards-Version: 3.7.2

Package: tuxpaint
Architecture: any
Depends: ${shlibs:Depends}, libvorbis0a, libvorbisfile3, libpaper1, libfribidi0, librsvg2-2
Description: A paint program for young children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+gvaeTAAAACXBI
 WXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1wcJCA8EgiGcwwAAAB10RVh0Q29tbWVudABDcmVhdGVk
 IHdpdGggVGhlIEdJTVDvZCVuAAAEX0lEQVRIx92Wf0yVVRjHv/fc+773p0pKLswfhImZDBxWSFmo
 RYFDFG3T6ZZDnJRstrApOoe15poZMZZiTZOWUBFpDRVIM5RKFwU60SkpP65IcsErPy4/vPe+7/vt
 Dxd6u4DMNv/obM8/73m+5/O85zznOY9OU1XiAQyBBzT+fyDDfxGr3k6cqf4D9XYnoqPCMGHSk4M7
 a6rK+zF7w2W+FDODRqNEIQQDR49kzo6Ng/rfF6jjRgOffzaCsmygEIKSJFEvBE0mE0sOH7w3qOXa
 JXZ3tlLxdNPV2T4o6MeSPF6ureWunB3M3LKZN51tXJIUTyEE58fNpeL1DAzq7upgasoyBk8MZGTE
 48xIX8n4V2Lo9bgHBB0pLmRXZweb7HZ2u1zUVJVF3xRSCMERNhNvXq/0BykeF1NWJlEI4WNWi5Fn
 q075Cf6y13Dvp7mMj32OV/68xC0ZaWyy1/HzfXv6tVWnS/x04peKo/i66Ihfktxye1HwRQ5I7XaG
 qR78cOAdfLsrCRO4Bx9smAWlpw6BgeMACBTk7+vXVp5p9E/v3yrPoe+W4jdBAjm7DyD0iaeRnPI6
 Sg9/h4C2D7EqVoXZSADn4Wr9BEtmp+HjnTtRXlHZr1XcTn/QogVzoVcbcezERfx0sgqqdqf0KYqG
 N9M3w9HSjIdNDRCyCWs/8iJvkxsAMMLsgbk3GydLdNDu0rW0OAa/R66uTm7LTGXAKKvfeen1govn
 mHlqt4mHthupVkg+tjjG5OOfm5vrf0b/AK1WGzZtzcXx0v2YOWMqdDrfbTz0qxfVdRLmROp8Am3v
 0uF8vXrvMjJQ+jod9UxLXUGb1TdSWTYwPHQEt60xMG+zxMJ3JS6NtVGv1/v4RT0TScf15uFVBsXr
 ZlFBFh8NeshnEcmgp8UkUZb0flt8t82LmUVnm2P4Jeh0RTEDRtkohOD0aaGsOVtN5402Xqg5x1cX
 vXwnAMngB4uLnc12p2N4oBNHC2i1WiiE4Nvpb/nM1V+5QKvVQkkycOXyxAH/LDMjeXighNgwWixG
 ZmxYz6arV6mpKnurr/DWa/l0bPqMq5YlUJYlrktbzfCwqX6gycFj2dFWNzSo8nQ5JcnAdWmpVDy3
 C2VfcxO7pmylS1rPk5FxPPblG8zPepHrlo5l9vsbKf9rCyeNH82brZc55MNXkJ8HVdWwes1aCL0e
 AOAuuohqXSvaYgRqA8ZAvtgLzVGJhKdUiGATjEYJSq+7f43Z0ZEIGBMy9AurKLfvh6Zp/d964iZj
 5or3YB5pAwk0X2tEVNRBJC2Yj4bS4+i5CzIpSEbywkegejuGBkmyBQBQVlaG8PBwAEDQlGDfpkMn
 oGlA+c+/o9HeDAAYE2BFT58H2VnbMS1yOnTCOHRzsnDRYgghcKj4e3g8nkH9CKCuoQkRYSFIW7Mc
 iYmJMBgEAoOmIWjyXAi9+d49wwvRoZRliV/t3ztw+pcfp9ksUwjBkMcmcvy4sRRC0Gazscne2O/3
 N9/Tg9yTZ/q3AAAAAElFTkSuQmCC

## tuxpaint 0.9.22

=== Makefile ===
# Tux Paint - A simple drawing program for children.

# Copyright (c) 2002-2014 by Bill Kendrick and others
# bill@newbreedsoftware.com
# http://www.tuxpaint.org/

# June 14, 2002 - March 30, 2014


# The version number, for release:

VER_VERSION:=0.9.22
VER_DATE:=$(shell date +"%Y-%m-%d")
MAGIC_API_VERSION:=0x00000003

# Need to know the OS

SYSNAME:=$(shell uname -s)
ifeq ($(findstring MINGW32, $(SYSNAME)),MINGW32)
OS:=windows
GPERF:=/usr/bin/gperf
else
ifeq ($(SYSNAME),Darwin)
OS:=osx
GPERF:=/usr/bin/gperf
else
ifeq ($(SYSNAME),BeOS)
OS:=beos
GPERF:=$(shell finddir B_USER_BIN_DIRECTORY)/gperf
else
ifeq ($(SYSNAME),Haiku)
OS:=beos
GPERF:=$(shell finddir B_SYSTEM_BIN_DIRECTORY)/gperf
STDC_LIB:=-lstdc++
ifeq ($(shell gcc --version | cut -c 1-6),2.95.3)
STDC_LIB:=-lstdc++.r4
endif
else
OS:=linux
GPERF:=/usr/bin/gperf
endif
endif
endif
endif

# change to sdl-console to build a console version on Windows
SDL_PCNAME:=sdl

WINDRES:=windres
PKG_CONFIG:=pkg-config

# test if a library can be linked
linktest = $(shell if $(CC) $(CPPFLAGS) $(CFLAGS) -o dummy.o dummy.c $(LDFLAGS) $(1) $(2) > /dev/null 2>&1; \
	then \
		echo "$(1)"; \
	fi ;)

# test compiler options
comptest = $(shell if $(CC) $(CPPFLAGS) $(CFLAGS) $(1) $(2) -o dummy.o dummy.c $(LDFLAGS) > /dev/null 2>&1; \
	then \
		echo "$(1)"; \
	fi ;)

beos_RSRC_CMD:=rc haiku/tuxpaint.rdef && xres -o tuxpaint haiku/tuxpaint.rsrc
RSRC_CMD:=$($(OS)_RSRC_CMD)

beos_MIMESET_CMD:=mimeset -f tuxpaint
MIMESET_CMD:=$($(OS)_MIMESET_CMD)

windows_SO_TYPE:=dll
osx_SO_TYPE:=bundle
beos_SO_TYPE:=so
linux_SO_TYPE:=so
SO_TYPE:=$($(OS)_SO_TYPE)

windows_LIBMINGW:=-lmingw32
LIBMINGW:=$($(OS)_LIBMINGW)

windows_EXE_EXT:=.exe
EXE_EXT:=$($(OS)_EXE_EXT)

windows_ARCH_LIBS:=obj/win32_print.o obj/resource.o
osx_ARCH_LIBS:=obj/postscript_print.o
beos_ARCH_LIBS:=obj/BeOS_print.o
linux_ARCH_LIBS:=obj/postscript_print.o
ARCH_LIBS:=$($(OS)_ARCH_LIBS)

PAPER_LIB:=$(call linktest,-lpaper,)
PNG:=$(call linktest,-lpng,)
PNG:=$(if $(PNG),$(PNG),$(call linktest,-lpng12,))

FRIBIDI_LIB:=$(shell $(PKG_CONFIG) --libs fribidi)
FRIBIDI_CFLAGS:=$(shell $(PKG_CONFIG) --cflags fribidi)

windows_ARCH_LINKS:=-lintl $(PNG) -lzdll -lwinspool -lshlwapi $(FRIBIDI_LIB) -liconv
osx_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB)
beos_ARCH_LINKS:=-lintl $(PNG) -lz -lbe -lnetwork -liconv $(FRIBIDI_LIB) $(PAPER_LIB) $(STDC_LIB)
linux_ARCH_LINKS:=$(PAPER_LIB) $(FRIBIDI_LIB)
ARCH_LINKS:=$($(OS)_ARCH_LINKS)

windows_ARCH_HEADERS:=src/win32_print.h
osx_ARCH_HEADERS:=
beos_ARCH_HEADERS:=src/BeOS_print.h
linux_ARCH_HEADERS:=
ARCH_HEADERS:=$($(OS)_ARCH_HEADERS)

# Where things will go when ultimately installed:
windows_PREFIX:=/usr/local
osx_PREFIX:=/usr/local

beos_PREFIX=$(shell finddir B_APPS_DIRECTORY)/TuxPaint
linux_PREFIX:=/usr/local
PREFIX:=$($(OS)_PREFIX)

# Root directory to place files when creating packages.
# PKG_ROOT is the old name for this, and should be undefined.
# "TuxPaint-1" is the OLPC XO name. Installing to ./ is bad!
ifeq ($(PREFIX),./)
DESTDIR:=TuxPaint-1
else
DESTDIR:=$(PKG_ROOT)
endif

# Program:
BIN_PREFIX:=$(DESTDIR)$(PREFIX)/bin

# Data:
DATA_PREFIX:=$(DESTDIR)$(PREFIX)/share/tuxpaint

# Locale files
LOCALE_PREFIX=$(DESTDIR)$(PREFIX)/share/locale

# IM files
IM_PREFIX=$(DESTDIR)$(PREFIX)/share/tuxpaint/im

# Libraries
LIBDIR=$(PREFIX)

# Magic Tool plug-ins
INCLUDE_PREFIX:=$(DESTDIR)$(PREFIX)/include
MAGIC_PREFIX:=$(DESTDIR)$(LIBDIR)/lib/tuxpaint/plugins


# Docs and man page:
DOC_PREFIX:=$(DESTDIR)$(PREFIX)/share/doc/tuxpaint
DEVDOC_PREFIX:=$(DESTDIR)$(PREFIX)/share/doc/tuxpaint-dev
MAN_PREFIX:=$(DESTDIR)$(PREFIX)/share/man
DEVMAN_PREFIX:=$(DESTDIR)$(PREFIX)/share/man

# BASH tab-completion file:
COMPLETIONDIR:=$(DESTDIR)/etc/bash_completion.d

# 'System-wide' Config file:
ifeq ($(PREFIX),/usr)
  CONFDIR:=$(DESTDIR)/etc/tuxpaint
else
  CONFDIR:=$(DESTDIR)$(PREFIX)/etc/tuxpaint
endif

ifeq ($(SYSNAME),Haiku)
  CONFDIR:=$(shell finddir B_USER_SETTINGS_DIRECTORY)/TuxPaint
endif

# Icons and launchers:
ICON_PREFIX:=$(DESTDIR)$(PREFIX)/share/pixmaps
X11_ICON_PREFIX:=$(DESTDIR)$(PREFIX)/X11R6/include/X11/pixmaps
GNOME_PREFIX:=$(shell gnome-config --prefix 2> /dev/null)
KDE_PREFIX:=$(shell kde-config --install apps --expandvars 2> /dev/null)
KDE_ICON_PREFIX:=$(shell kde-config --install icon --expandvars 2> /dev/null)

# Maemo flag
MAEMOFLAG:=


# Where to find cursor shape XBMs

MOUSEDIR:=mouse
CURSOR_SHAPES:=LARGE
# MOUSEDIR:=mouse/16x16
# CURSOR_SHAPES:=SMALL

# Libraries, paths, and flags:
SDL_LIBS:=$(shell $(PKG_CONFIG) $(SDL_PCNAME) --libs) -lSDL_image -lSDL_ttf -lz $(PNG)

# Sound support
SDL_MIXER_LIB:=$(call linktest,-lSDL_mixer,$(SDL_LIBS))
NOSOUNDFLAG:=$(if $(SDL_MIXER_LIB),,-DNOSOUND$(warning -lSDL_Mixer failed, no sound for you!))

# SDL Pango is needed to render complex scripts like Thai and Arabic
SDL_PANGO_LIB:=$(call linktest,-lSDL_Pango,$(SDL_LIBS))
NOPANGOFLAG:=$(if $(SDL_PANGO_LIB),,-DNO_SDLPANGO$(warning -lSDL_Pango failed, no scripts for you!))

SDL_LIBS+=$(SDL_MIXER_LIB) $(SDL_PANGO_LIB)

SDL_CFLAGS:=$(shell $(PKG_CONFIG) $(SDL_PCNAME) --cflags)


# New one: -lrsvg-2 -lcairo
# Old one: -lcairo -lsvg -lsvg-cairo
SVG_LIB:=$(shell $(PKG_CONFIG) --libs librsvg-2.0 cairo || $(PKG_CONFIG) --libs libsvg-cairo)

# lots of -I things, so really should be SVG_CPPFLAGS
SVG_CFLAGS:=$(shell $(PKG_CONFIG) --cflags librsvg-2.0 cairo || $(PKG_CONFIG) --cflags libsvg-cairo)

# SVG support via Cairo
NOSVGFLAG:=$(if $(SVG_LIB),,-DNOSVG$(warning No SVG for you!))

# SVG support uses libcairo1
OLDSVGFLAG:=$(if $(filter -lsvg-cairo,$(SVG_LIB)),-DOLD_SVG,)


ifeq ($(hack),1)
hack:
	@echo 'SDL_PANGO_LIB is' $(SDL_PANGO_LIB)
	@echo 'SDL_MIXER_LIB is' $(SDL_MIXER_LIB)
	@echo 'SVG_LIB       is' $(SVG_LIB)
	@echo 'SDL_LIBS      is' $(SDL_LIBS)
	@echo 'SDL_CFLAGS    is' $(SDL_CFLAGS)
	@echo 'SVG_CFLAGS    is' $(SVG_CFLAGS)
	@echo 'LDFLAGS       is' $(LDFLAGS)
	@echo 'CFLAGS        is' $(CFLAGS)
	@echo 'CPPFLAGS      is' $(CPPFLAGS)
endif

# The entire set of CFLAGS:

#-ffast-math
OPTFLAGS:=-O2
CFLAGS:=$(CPPFLAGS) $(OPTFLAGS) -W -Wall -fno-common -ffloat-store \
	$(if $(filter windows,$(OS)),,$(call comptest,-fvisibility=hidden,)) \
	-Wcast-align -Wredundant-decls \
	-Wbad-function-cast -Wwrite-strings \
	-Waggregate-return \
	-Wstrict-prototypes -Wmissing-prototypes \
	$(shell src/test-option.sh -Wstrict-aliasing=2)

DEFS:=-DVER_DATE=\"$(VER_DATE)\" -DVER_VERSION=\"$(VER_VERSION)\" \
	-DDATA_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DATA_PREFIX))/\" \
	-DDOC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(DOC_PREFIX))/\" \
	-DLOCALEDIR=\"$(patsubst $(DESTDIR)%,%,$(LOCALE_PREFIX))/\" \
	-DIMDIR=\"$(patsubst $(DESTDIR)%,%,$(IM_PREFIX))/\" \
	-DCONFDIR=\"$(patsubst $(DESTDIR)%,%,$(CONFDIR))/\" \
	-DMAGIC_PREFIX=\"$(patsubst $(DESTDIR)%,%,$(MAGIC_PREFIX))/\" \
	$(NOSOUNDFLAG) $(NOSVGFLAG) $(OLDSVGFLAG) $(NOPANGOFLAG) \
	$(MAEMOFLAG)

DEBUG_FLAGS:=
#DEBUG_FLAGS:=-g

MOUSE_CFLAGS:=-Isrc/$(MOUSEDIR) -D$(CURSOR_SHAPES)_CURSOR_SHAPES

.SUFFIXES:

#############################################################################
#############################################################################
#############################################################################
#
# "make" with no arguments builds the program and man page from sources:
#
.PHONY: all
all:	tuxpaint translations magic-plugins tp-magic-config
# thumb-starters
	@echo
	@echo "--------------------------------------------------------------"
	@echo
	@echo "Done compiling."
	@echo
	@echo "Now run 'make install' with any options you ran 'make' with."
	@echo "to install Tux Paint."
	@echo
	@echo "You may need superuser ('root') privileges, depending on"
	@echo "where you're installing."
	@echo "(Depending on your system, you either need to 'su' first,"
	@echo "or run 'sudo make install'.)"
	@echo

.PHONY: releaseclean
releaseclean:
	@echo
	@echo "Cleaning release directory"
	@echo
	@rm -rf "build/tuxpaint-$(VER_VERSION)" "build/tuxpaint-$(VER_VERSION).tar.gz"
	@-if [ -d build ] ; then rmdir build ; fi

.PHONY: releasedir
releasedir: build/tuxpaint-$(VER_VERSION)


build/tuxpaint-$(VER_VERSION):
	@echo
	@echo "Creating release directory"
	@echo
	@mkdir -p build/tuxpaint-$(VER_VERSION)
	@find . -follow \
	     \( -wholename '*/CVS' -o -name .thumbs -o -name .cvsignore -o -name 'dummy.o' -o -name 'build' -o -name '.#*' \) \
	     -prune -o -type f -exec cp --parents -vdp \{\} build/tuxpaint-$(VER_VERSION)/ \;

.PHONY: release
release: releasedir
	@echo
	@echo "Creating release tarball"
	@echo
	@cd build ; \
	    tar -czvf tuxpaint-$(VER_VERSION).tar.gz tuxpaint-$(VER_VERSION)

# "make olpc" builds the program for an OLPC XO:
MAGIC_GOOD:=blur blocks_chalk_drip bricks calligraphy fade_darken\
            fill flower foam grass mirror_flip shift smudge snow tint
.PHONY: olpc
olpc:
	@echo
	@echo "Building for an OLPC XO"
	@echo
	make PREFIX:=. MAGIC_C:=$(patsubst %,magic/src/%.c,$(MAGIC_GOOD)) OPTFLAGS:='-O2 -fno-tree-pre -march=athlon -mtune=generic -mpreferred-stack-boundary=2 -mmmx -m3dnow -fomit-frame-pointer -falign-functions=0 -falign-jumps=0 -DOLPC_XO -DSUGAR'

# "make nokia770" builds the program for the Nokia 770.
.PHONY: nokia770
nokia770:
	make \
		DATA_PREFIX:=/usr/share/tuxpaint \
		MAEMOFLAG:=-DNOKIA_770 \
		LOCALE_PREFIX:=$(PREFIX)/share/locale \
		CONFDIR:=/etc/tuxpaint

##### i18n stuff

POFILES:=$(wildcard src/po/*.po)
MOFILES:=$(patsubst src/po/%.po,trans/%.mo,$(POFILES))
INSTALLED_MOFILES:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint.mo,$(MOFILES))
INSTALLED_MODIRS:=$(patsubst trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES,$(MOFILES))

$(INSTALLED_MODIRS): $(LOCALE_PREFIX)/%/LC_MESSAGES: trans/%.mo
	install -d -m 755 $@
$(INSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint.mo: trans/%.mo
	install -m 644 $< $@

.PHONY: uninstall-i18n
uninstall-i18n:
	-rm $(LOCALE_PREFIX)/*/LC_MESSAGES/tuxpaint.mo
	-rm $(IM_PREFIX)/ja.im
	-rm $(IM_PREFIX)/ko.im
	-rm $(IM_PREFIX)/th.im
	-rm $(IM_PREFIX)/zh_tw.im

##### i18n stuff for Tux Paint Config bundling
TPCONF_PATH:=../tuxpaint-config
TPCPOFILES:=$(wildcard $(TPCONF_PATH)/src/po/*.po)
TPCMOFILES:=$(patsubst $(TPCONF_PATH)/src/po/%.po,$(TPCONF_PATH)/trans/%.mo,$(TPCPOFILES))
TPCINSTALLED_MOFILES:=$(patsubst $(TPCONF_PATH)/trans/%.mo,$(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo,$(TPCMOFILES))

$(TPCINSTALLED_MOFILES): $(LOCALE_PREFIX)/%/LC_MESSAGES/tuxpaint-config.mo: $(TPCONF_PATH)/trans/%.mo
	@echo
	@echo "...Installing Tux Paint Config i18n..."
	install -D -m 644 $< $@

install-tpconf-i18n: $(TPCINSTALLED_MOFILES)

# Install the translated text:
# We can install *.mo files if they were already generated, or if it can be
# generated from the *.po files.  The *.mo files can be generated from the
# *.po files if we have the converter program, msgfmt, installed in the
# system.  So we test for both and install them if either case is found
# to be true.  If neither case is found to be true, we'll just install
# Tux Paint without the translation files.
.PHONY: install-gettext
ifeq "$(wildcard trans/*.mo)$(shell msgfmt -h)" ""
install-gettext:
	@echo
	@echo "--------------------------------------------------------------"
	@echo "Cannot install translation files because no translation files"
	@echo "were found (trans/*.mo) and the 'msgfmt' program is not installed."
	@echo "You will not be able to run Tux Paint in non-U.S. English modes."
	@echo "--------------------------------------------------------------"
else
install-gettextdirs: $(INSTALLED_MODIRS)
install-gettext: install-gettextdirs $(INSTALLED_MOFILES)
endif


# Install the Input Method files:
.PHONY: install-im
ifneq ($(IM_PREFIX),)
install-im:
	@echo
	@echo "...Installing Input Method files..."
	@#
	@install -d $(IM_PREFIX)
	@#
	@echo "   ja ...Japanese..."
	@cp im/ja.im $(IM_PREFIX)/ja.im
	@chmod 644 $(IM_PREFIX)/ja.im
	@#
	@echo "   ko ...Korean..."
	@cp im/ko.im $(IM_PREFIX)/ko.im
	@chmod 644 $(IM_PREFIX)/ko.im
	@#
	@echo "   th ...Thai..."
	@cp im/th.im $(IM_PREFIX)/th.im
	@chmod 644 $(IM_PREFIX)/th.im

=== debian/changelog ===
tuxpaint (1:0.9.22-7) unstable; urgency=medium

  * debian/copyright:
    - Fix typo s/Licence/License/g
    - Add long descriptions to machine readable copyright file

 -- Jonathan Carter <jcc@debian.org>  Tue, 17 Oct 2017 13:31:31 +0200

tuxpaint (1:0.9.22-6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make.
    (Closes: #878471)

 -- Helmut Grohne <helmut@subdivi.de>  Sat, 14 Oct 2017 00:22:33 +0200

tuxpaint (1:0.9.22-5) unstable; urgency=medium

  * Adopting package (Closes: #848988)
    - Thanks to Ben Armstrong and previous maintainers
  * Update compat from 5 to 10
  * Update standards version to 4.1.1
    - Extend description of tuxpaint-dev binary package
    - Upgrade copyright file to copyright format 1.0
    - Set hardening=+all
    - Install bash completion file to correct path
    - Add desktop keywords to .desktop file
    - Remove obsolete menu file
  * wrap-and-sort
  * Patch manpages to fix spelling s/SYNOPSYS/SYNOPSIS/g

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Aug 2017 11:52:24 +0200

tuxpaint (1:0.9.22-4) unstable; urgency=medium

  * QA upload.
  * tuxpaint-data: Switch Suggests from metapackage fonts-thai-tlwg to
    fonts-tlwg-garuda-otf, the actual provider of Garuda-Bold.otf.
  * Fix minor issues found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 May 2017 09:46:32 +0200

tuxpaint (1:0.9.22-3) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group. (see #848988)
  * Apply patch from Chris Lamb to make the build reproducible.
    (Closes: #834109)

 -- Adrian Bunk <bunk@debian.org>  Sun, 22 Jan 2017 12:03:47 +0200

tuxpaint (1:0.9.22-2) unstable; urgency=low

  * Add missing data: osk, im. Fixes crash when onscreen keyboard
    used. Thanks to Pere Pujal for pointing this out on irc.
    (Closes: #775101)
  * Add missing bash completion, docs and templates.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 10 Jan 2015 19:45:14 -0400

tuxpaint (1:0.9.22-1) unstable; urgency=low

  * New upstream release. (Closes: #722933)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Dependencies fixed.
    (Closes: #619724, #648787, #726580, #731728, #738252, #741671, #741691)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 26 Oct 2014 09:20:50 -0300

tuxpaint (1:0.9.21-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with binutils-gold. Thanks to Georgios M. Zarkadas for the
    patch. (Closes: #556509)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 04 Dec 2011 14:04:49 +0100

tuxpaint (1:0.9.21-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 09 Aug 2009 11:17:59 -0300

tuxpaint (1:0.9.20-2) unstable; urgency=low

  * Fix upgrade from old tuxpaint-data containing files moved
    into tuxpaint-plugins-default. (Closes: #490101)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 09 Jul 2008 17:43:16 -0300

tuxpaint (1:0.9.20-1) unstable; urgency=low

  * New upstream release.
  * Fix copyright, including all copyright notices for fonts.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Mon, 07 Jul 2008 19:35:12 -0300

tuxpaint (1:0.9.19-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMU.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 08 Jun 2008 12:42:15 -0300

tuxpaint (1:0.9.17-1.1) unstable; urgency=low

  * Non-maintainer upload to fix bashism.
  * Fixed bashism in tuxpaint-import.sh (Closes: #465374)
  * Added dh_icons to correctly call update-icon-caches (Closes: #461496)
  * Updated debhelper dependecy version to make sure dh_icons is available. 
  * Removed executable permissions to
    /usr/share/tuxpaint/starters/skyline-sf-dusk-back.jpeg
  * Cleaned up manpage useless wrong command.
  * Moved desktop file to /usr/share/applications instead of /usr/share/gnome
    and /usr/share/applnk.
  * Updated Standards-Version to 3.7.3:
    + Updated menu file to use the new "Applications" tree

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Sat, 08 Mar 2008 19:25:39 -0200

tuxpaint (1:0.9.17-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Tue, 03 Jul 2007 13:58:30 -0300

tuxpaint (1:0.9.16-2) unstable; urgency=low

  * Updated README.Debian to make it clearer that locales must be configured
    for languages to work.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu,  3 May 2007 08:23:49 -0300

tuxpaint (1:0.9.16-1) unstable; urgency=low

  * New upstream release.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 22 Oct 2006 11:46:04 -0300

tuxpaint (1:0.9.15+0.9.16rc5-3) unstable; urgency=low

  * Replace subset of wangfonts Traditional Chinese font with ttf-arphic-uming.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sat, 14 Oct 2006 15:33:05 -0300

tuxpaint (1:0.9.15+0.9.16rc5-2) unstable; urgency=low

  * Soften font dependencies from Recommends to Depends.
  * Update watch file.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Fri, 13 Oct 2006 09:10:07 -0300

tuxpaint (1:0.9.15+0.9.16rc5-1) unstable; urgency=low

  * New upstream release.
  * Fixed Thai font support. (Closes: #375947)
  * Fixed Greek and Simplified Chinese font support.
  * Added Arabic, Georgian, Gujarati, Hebrew, Hindi, Japanese, Traditional
    Chinese and Vietnamese.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Thu, 12 Oct 2006 14:18:21 -0300

tuxpaint (1:0.9.15b-3) unstable; urgency=low

  * Backported fix from CVS for clicking to the right of the colour palette.
    (Closes: #352556)

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun, 12 Feb 2006 20:12:15 -0400

tuxpaint (1:0.9.15b-2) unstable; urgency=low

  * Improved 'already running' message and include FAQ in docs. (Closes: #347915)
  * Tweaked tuxpaint-icon.svg to attempt to work around suspected libart bug
    that hangs gnome-panel in some circumstances (see #349415 for details).



=== debian/control ===
Source: tuxpaint
Section: graphics
Priority: optional
Maintainer: Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 10),
               gettext,
               gperf,
               libcairo2-dev,
               libfribidi-dev,
               libpaper-dev,
               libpng-dev,
               librsvg2-dev,
               libsdl-image1.2-dev,
               libsdl-mixer1.2-dev (>= 1.2.4-1.1),
               libsdl-pango-dev,
               libsdl-ttf2.0-dev,
               libsdl1.2-dev,
               libvorbis-dev (>= 1.0.0-2)
Standards-Version: 4.1.1

Package: tuxpaint
Architecture: any
Depends: libvorbis0a (>= 1.0.0-2),
         libvorbisfile3 (>= 1.0.0-2),
         netpbm,
         tuxpaint-data (= ${source:Version}),
         tuxpaint-plugins-default (>= 1:0.9.22-1) | tuxpaint-plugins,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: tuxpaint-config
Description: Paint program for young children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.

Package: tuxpaint-plugins-default
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: tuxpaint-plugins
Description: Magic tool plugins for Tux Paint
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
 .
 This package contains the default "Magic" plugins for Tux Paint.

Package: tuxpaint-dev
Architecture: all
Depends: ${misc:Depends}
Description: Development files for Tux Paint
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 This package contains development files for writing "Magic" plugins
 for Tux Paint.

Package: tuxpaint-data
Architecture: all
Depends: fonts-freefont-ttf,
         tuxpaint-stamps-default | tuxpaint-stamps,
         ${misc:Depends}
Recommends: tuxpaint
Suggests: fonts-arabeyes,
          fonts-arphic-gbsn00lp,
          fonts-arphic-uming,
          fonts-gujr,
          fonts-nanum,
          fonts-taml,
          fonts-telu,
          fonts-tlwg-garuda-otf
Description: Data files for Tux Paint, a paint program for children
 Tux Paint is meant to be a simple drawing program for young
 children.  It is not meant as a general-purpose drawing tool.
 It IS meant to be fun and easy to use.  Sound effects and a
 cartoon character help let the user know what's going on, and
 keeps them entertained.
 .
 Tux Paint is extensible.  Brushes and "rubber stamp" shapes can be
 dropped in and pulled out.  For example, a teacher can drop in a
 collection of animal shapes and ask their students to draw an
 ecosystem.  Each shape can have a sound which is played, and
 textual facts which are displayed, when the child selects the shape.
 .
 There is no direct access to the computer's underlying intricacies.
 The current image is kept when the program quits, and reappears when
 it is restarted.  Saving images requires no need to create filenames
 or use the keyboard.  Opening an image is done by selecting it from
 a collection of thumbnails.
 .
 This package contains sounds, images, fonts and other data for
 Tux Paint.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DH_ALWAYS_EXCLUDE=CVS

DPKG_EXPORT_BUILDFLAGS = 1
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
include /usr/share/dpkg/buildflags.mk

VER_DATE = $(shell date --utc --date="$$(dpkg-parsechangelog -SDate)" '+%Y-%m-%d')

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	DEBUG_FLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) clean
	dh_auto_build -- all PREFIX=/usr DEBUG_FLAGS="$(DEBUG_FLAGS)" VER_DATE="$(VER_DATE)"
	touch build-arch-stamp


build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	# Nothing to do here.

	touch build-indep-stamp


build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp

	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -A

	# tuxpaint:
	# - Note: install-icon is called here even though it seems
	#   it belongs in tuxpaint-data as it is needed for the menu
	#   icon.
	$(MAKE) install-bin install-gnome install-kde install-icon \
	  install-importscript install-default-config install-bash-completion \
	  PREFIX=$(CURDIR)/debian/tuxpaint/usr \
	  CONFDIR=$(CURDIR)/debian/tuxpaint/etc/tuxpaint \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint/usr \
	  KDE_PREFIX=$(CURDIR)/debian/tuxpaint/usr/share/applnk \
	  X11_ICON_PREFIX=$(CURDIR)/debian/tuxpaint/usr/share/pixmaps/ \
	  COMPLETIONDIR=$(CURDIR)/debian/tuxpaint/usr/share/bash-completion/completions

	$(MAKE) install-magic-plugins \
	  PREFIX=$(CURDIR)/debian/tuxpaint-plugins-default/usr

	$(MAKE) install-magic-plugin-dev \
	  PREFIX=$(CURDIR)/debian/tuxpaint-dev/usr

	# tuxpaint-data:
	$(MAKE) install-data install-doc install-gettext install-kde-icons \
	  install-example-stamps install-example-starters install-example-templates \
	  install-im install-osk \
	  PREFIX=$(CURDIR)/debian/tuxpaint-data/usr \
	  KDE_ICON_PREFIX=$(CURDIR)/debian/tuxpaint-data/usr/share/icons \
	  GNOME_PREFIX=$(CURDIR)/debian/tuxpaint-data/usr \
	  DOC_PREFIX=$(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data

	# Cleanup after install-data, as we will symlink these fonts
	# to the ones provided by ttf-freefont and other font packages:
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/*.ttf
	rm -rf $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/*_docs/
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ar.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/el.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ka.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ko.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/ta.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/te.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/th.ttf
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/fonts/locale/zh_TW.ttf

	# Cleanup after install-doc, removing extra changelog, license and install files.
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/CHANGES*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/COPYING*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/INSTALL*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/dejavu*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/COP*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/INSTAL*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/GNU*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/GPL*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/gpl*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/*/LICEN*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/de/ANBRINGEN*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/de/KOPIE*
	rm -f $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/sr/ojl*

	find $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data -name Makefile -exec rm -f {} \;
	rm -rf $(CURDIR)/debian/tuxpaint-data/usr/share/doc/tuxpaint-data/magic-docs/src

	# We already have an opendesktop-compliant desktop file, so this
	# one for KDE is redundant.
	rm -rf $(CURDIR)/debian/tuxpaint/usr/share/applnk

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installmenu -i
	dh_installman -p tuxpaint-dev src/manpage/tp-magic-config.1
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	# remove unnecessary executable permission
	chmod 644 $(CURDIR)/debian/tuxpaint-data/usr/share/tuxpaint/starters/skyline-sf-dusk-back.jpeg
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a docs/CHANGES.txt
	dh_installmenu -a
	dh_installcron -a
	dh_installman -a src/manpage/tuxpaint.1 src/manpage/tuxpaint-import.1
	dh_icons -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
